﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx (1 yr) Timebase IEEE /9500
INSTRUMENT:            Sub HP 545xx (1 yr) EXT Trigger IEEE /9500
INSTRUMENT:            Sub HP 545xx (1 yr) AUX Trigger IEEE /9500
DATE:                  2008-11-10 09:13:18
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       23
NUMBER OF LINES:       655
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:  DAC, DFM, ZY
#
#  Model(s) Covered:  545xx series oscilloscopes
#
# Compatibility:      MET/CAL 7.20 SP1 or later
#
# Subprocedures:      Sub HP 545xx Channel Select IEEE
#                     Sub HP 545xx Trigger Utility IEEE
#                     Sub HP 545xx Wait for Operation Complete (OPC) IEEE
#
# Required Files:     hp5452_aux_trig_9500.bmp
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub HP 545xx Channel Select IEEE

  1.002  JMPL         TIMEBASE             PSUBI("Timebase")
  1.003  JMPL         EXT_TRIGGER          PSUBI("EXT Trigger")
  1.004  JMPL         AUX_TRIGGER          PSUBI("AUX Trigger")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# =================== TIMEBASE ==============================================

  2.001  LABEL        TIMEBASE
  2.002  RSLT         =
  2.003  HEAD         {TIME MEASUREMENT ACCURACY}
  2.004  RSLT         =
  2.005  HEAD         { Repetitive Mode, Delta Time}
  2.006  HEAD         TIME MEASUREMENT: Repetitive Mode

  2.007  LABEL        TIMEBASE_25ns
  2.008  HEAD         -2 25 ns
  2.009  TARGET
  2.010  IEEE         SYST:DSP "Time Measurement Test"
  2.011  IEEE         DISPLAY:GRATICULE GRID
  2.012  IEEE         DISPLAY:CONNECT OFF
  2.013  IEEE         MEASURE:SOURCE CHANNEL[V @Chan]
  2.014  IEEE         TIMEBASE:RANGE 500E-9
  2.015  IEEE         TIMEBASE:SAMPLE REPETITIVE
  2.016  IEEE         CHANNEL[V @Chan]:RANGE 1.6
  2.017  IEEE         CHANNEL[V @Chan]:OFFSET 0
  2.018  IEEE         CHANNEL[V @Chan]:COUPLING DCFIFTY
  2.019  IEEE         ACQUIRE:TYPE AVERAGE
  2.020  IEEE         ACQUIRE:COUNT 8
  2.021  IEEE         TIMEBASE:MODE AUTO
  2.022  IEEE         TRIGGER:LEVEL 0
  2.023  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  2.024  JMPL         ERROR                      @StatusBit <= 0

  2.025  LABEL        25_ns_minimum
  2.026  9500         25.000nT                     1Vpp           M2    S  L
# Wait 5 seconds for the Scope to settle down before turning on statistics
  2.027  WAIT         -t 5 System settling...
  2.028  IEEE         [SPL 1]

  2.029  IF           MEM <= 0
  2.030  RSLT         = Scope did not trigger
  2.031  OPBR         -z Scope did not trigger.  Do you wish to continue?
  2.032  JMPL         END                          NOT(MEM1)
  2.033  ENDIF

  2.034  IEEE         MEASURE:MODE USER
  2.035  IEEE         MEASURE:DEFINE DELAY,POSITIVE,1,MIDD,POSITIVE,2,MIDD
  2.036  IEEE         MEASURE:STATISTICS ON
  2.037  IEEE         MEASURE:STATISTICS:MODE NORMAL
  2.038  IEEE         MEASURE:DELAY
  2.039  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  2.040  JMPL         ERROR                      @StatusBit <= 0

# We break down the measurements into groups and obtain the
# minimum readings
  2.041  TSET         TDESC = 25 ns Delta-t minimum
  2.042  IEEE         MEASURE:RESULTS?[I$]
  2.043  MATH         MeasVal = SUB(MEM2, 6, LEN(MEM2) - 6)
  2.044  MATH         MEM = FLD(MeasVal, 2, ",") * 1E+9
  2.045  MEMCX        25.000nT       0.601U

  3.001  LABEL        25_ns_maximum
  3.002  TARGET
# Now we get the maximun readings.
  3.003  9500         25.000nT                     1Vpp           M2    S  L
  3.004  WAIT         -t 5 System settling...
  3.005  IEEE         [SPL 1]

  3.006  IF           MEM <= 0
  3.007  RSLT         = Scope did not trigger
  3.008  OPBR         -z Scope did not trigger.  Do you wish to continue?
  3.009  JMPL         END                          NOT(MEM1)
  3.010  ENDIF

  3.011  IEEE         MEASURE:MODE USER
  3.012  IEEE         MEASURE:DEFINE DELAY,POSITIVE,1,MIDD,POSITIVE,2,MIDD
  3.013  IEEE         MEASURE:STATISTICS ON
  3.014  IEEE         MEASURE:STATISTICS:MODE NORMAL
  3.015  IEEE         MEASURE:DELAY
  3.016  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  3.017  JMPL         ERROR                      @StatusBit <= 0

  3.018  TSET         TDESC = 25 ns Delta-t maximun
  3.019  IEEE         MEASURE:RESULTS?[I$]
  3.020  MATH         MEM = FLD(MeasVal, 3, ",") * 1E+9
  3.021  MEMCX        25.000nT       0.601U

  4.001  IEEE         MEASURE:STATISTICS OFF

  4.002  LABEL        TIMEBASE_10ns
  4.003  HEAD         -2 10 ns
  4.004  TARGET
  4.005  IEEE         TIMEBASE:RANGE 200E-9
  4.006  IEEE         TIMEBASE:SAMPLE REPETITIVE
  4.007  IEEE         CHANNEL[V @Chan]:RANGE 1.6
  4.008  IEEE         CHANNEL[V @Chan]:OFFSET 0
  4.008  IEEE         TIMEBASE:MODE TRIGGERED
  4.009  IEEE         TRIGGER:LEVEL 0.0
  4.010  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  4.011  JMPL         ERROR                      @StatusBit <= 0

  4.012  LABEL        10_ns_minimum
# ====== Square Marker Signal =====
  4.013  9500         10.000nT                     1Vpp           M2    S  L
# Wait 5 seconds for the Scope to settle down before turning on statistics
  4.014  WAIT         -t 5 UUT settling...
  4.015  IEEE         [SPL 1]

  4.016  IF           MEM < 0
  4.017  RSLT         = Scope did not trigger
  4.018  OPBR         -z Scope did not trigger.  Do you wish to continue?
  4.019  JMPL         END                          NOT(MEM1)
  4.020  ENDIF

  4.021  IEEE         MEASURE:STATISTICS ON
  4.022  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  4.023  JMPL         ERROR                      @StatusBit <= 0

  4.024  TSET         TDESC = 10 ns Delta-t minimum
  4.025  IEEE         MEASURE:RESULTS?[I$]
  4.026  MATH         MeasVal = SUB(MEM2, 6, LEN(MEM2) - 6)
  4.027  MATH         MEM = FLD(MeasVal, 2, ",") * 1E+9
  4.028  MEMCX        10.000nT       0.301U

  5.001  LABEL        10_ns_maximum
  5.002  TARGET
  5.003  9500         10.000nT                     1Vpp           M2    S  L
  5.004  WAIT         -t 5 UUT settling...
  5.005  IEEE         [SPL 1]

  5.006  IF           MEM < 0
  5.007  RSLT         = Scope did not trigger
  5.008  OPBR         -z Scope did not trigger.  Do you wish to continue?
  5.009  JMPL         END                          NOT(MEM1)
  5.010  ENDIF

  5.011  IEEE         MEASURE:STATISTICS ON
  5.012  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  5.013  JMPL         ERROR                     @StatusBit <= 0

  5.014  TSET         TDESC = 10 ns Delta-t maximum
  5.015  IEEE         MEASURE:RESULTS?[I$]
  5.016  MATH         MEM = FLD(MeasVal, 3, ",") * 1E+9
  5.017  MEMCX        10.000nT       0.301U

  6.001  IEEE         MEASURE:STATISTICS OFF

  6.002  LABEL        TIMEBASE_50ns
  6.003  HEAD         -2 50 ns
  6.004  TARGET
  6.005  IEEE         TIMEBASE:RANGE 1E-6
  6.006  IEEE         TIMEBASE:SAMPLE REPETITIVE
  6.007  IEEE         CHANNEL[V @Chan]:RANGE 1.6
  6.008  IEEE         CHANNEL[V @Chan]:OFFSET 0
  6.008  IEEE         TIMEBASE:MODE TRIGGERED
  6.009  IEEE         TRIGGER:LEVEL 0
  6.010  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  6.011  JMPL         ERROR                      @StatusBit <= 0

  6.012  LABEL        50_ns_minimum
  6.013  9500         50.000nT                     1Vpp           M2    S  L
  6.014  WAIT         -t 5 UUT settling...
  6.015  IEEE         [SPL 1]

  6.016  IF           MEM < 0
  6.017  RSLT         = Scope did not trigger
  6.018  OPBR         -z Scope did not trigger.  Do you wish to continue?
  6.019  JMPL         END                          NOT(MEM1)
  6.020  ENDIF

  6.021  IEEE         MEASURE:STATISTICS ON
  6.022  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  6.023  JMPL         ERROR                      @StatusBit <= 0

  6.024  TSET         TDESC = 50 ns Delta-t minimum
  6.025  IEEE         MEASURE:RESULTS?[I$]
  6.026  MATH         MeasVal = SUB(MEM2, 6, LEN(MEM2) - 6)
  6.027  MATH         MEM = FLD(MeasVal, 2, ",") * 1E+9
  6.028  MEMCX        50.000nT       0.303U

  7.001  LABEL        50_ns_maximum
  7.002  TARGET
  7.003  9500         50.000nT                     1Vpp           M2    S  L
  7.004  WAIT         -t 5 UUT settling...
  7.005  IEEE         [SPL 1]

  7.006  IF           MEM < 0
  7.007  RSLT         = Scope did not trigger
  7.008  OPBR         -z Scope did not trigger.  Do you wish to continue?
  7.009  JMPL         END                          NOT(MEM1)
  7.010  ENDIF

  7.011  IEEE         MEASURE:STATISTICS ON
  7.012  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  7.013  JMPL         ERROR                      @StatusBit <= 0

  7.014  TSET         TDESC = 50 ns Delta-t maximum
  7.015  IEEE         MEASURE:RESULTS?[I$]
  7.016  MATH         MEM = FLD(MeasVal, 3, ",") * 1E+9
  7.017  MEMCX        50.000nT       0.303U

  8.001  IEEE         :MEASURE:STATISTICS OFF

  8.002  LABEL        TIMEBASE_1us
  8.003  HEAD         -2 1 µs
  8.004  TARGET
# Put the scope in Repetitive Triggering
  8.005  IEEE         TIMEBASE:RANGE 10E-6
  8.006  IEEE         TIMEBASE:SAMPLE REPETITIVE
  8.007  IEEE         CHANNEL[V @Chan]:RANGE 1.6
  8.008  IEEE         CHANNEL[V @Chan]:OFFSET 0
  8.009  IEEE         TIMEBASE:MODE TRIGGERED
  8.010  IEEE         TRIGGER:LEVEL 0
  8.011  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  8.012  JMPL         ERROR                      @StatusBit <= 0

  8.013  LABEL        1_µs_minimum
  8.014  9500         1.00000uT                    1Vpp           M1    S  L
  8.015  WAIT         -t 5 UUT settling...
  8.016  IEEE         [SPL 1]

  8.017  IF           MEM < 0
  8.018  RSLT         = Scope did not trigger
  8.019  OPBR         -z Scope did not trigger.  Do you wish to continue?
  8.020  JMPL         END                          NOT(MEM1)
  8.021  ENDIF

  8.022  IEEE         MEASURE:STATISTICS ON
  8.023  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  8.024  JMPL         ERROR                      @StatusBit <= 0

  8.025  TSET         TDESC = 1 µs Delta-t minimum
  8.026  IEEE         MEASURE:RESULTS?[I$]
  8.027  MATH         MeasVal = SUB(MEM2, 6, LEN(MEM2) - 6)
  8.028  MATH         MEM = FLD(MeasVal, 2, ",") * 1E+6
  8.029  MEMCX        1.00000uT      0.00305U

  9.001  LABEL        1_µs_maximum
  9.002  TARGET
  9.003  9500         1.00000uT                    1Vpp           M1    S  L
  9.004  WAIT         -t 5 UUT settling...
  9.005  IEEE         [SPL 1]

  9.006  IF           MEM < 0
  9.007  RSLT         = Scope did not trigger
  9.008  OPBR         -z Scope did not trigger.  Do you wish to continue?
  9.009  JMPL         END                          NOT(MEM1)
  9.010  ENDIF

  9.011  IEEE         MEASURE:STATISTICS ON
  9.012  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
  9.013  JMPL         ERROR                      @StatusBit <= 0

  9.014  TSET         TDESC = 1µs Delta-t maximum
  9.015  IEEE         MEASURE:RESULTS?[I$]
  9.016  MATH         MEM = FLD(MeasVal, 3, ",") * 1E+6
  9.017  MEMCX        1.00000uT      0.00305U

 10.001  LABEL        TIMEBASE_5µs
 10.002  HEAD         -2 5 µs
 10.003  TARGET
 10.004  IEEE         MEASURE:STATISTICS OFF
 10.005  IEEE         MEASURE:DEFINE DELAY,POSITIVE,1,MIDD,POSITIVE,6,MIDD
 10.006  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 10.007  JMPL         ERROR                      @StatusBit <= 0

 10.008  LABEL        5_µs_minimum
 10.009  9500         1.00000uT                    1Vpp           M1    S  L
 10.010  WAIT         -t 5 UUT settling...
 10.011  IEEE         [SPL 1]

 10.012  IF           MEM < 0
 10.013  RSLT         = Scope did not trigger
 10.014  OPBR         -z Scope did not trigger.  Do you wish to continue?
 10.015  JMPL         END                          NOT(MEM1)
 10.016  ENDIF

 10.017  IEEE         MEASURE:STATISTICS ON
 10.018  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 10.019  JMPL         ERROR                     @StatusBit <= 0

 10.020  IEEE         MEASURE:RESULTS?[I$]
 10.021  TSET         TDESC = 5 µs Delta-t minimum
 10.022  MATH         MeasVal = SUB(MEM2, 6, LEN(MEM2) - 6)
 10.023  MATH         MEM = FLD(MeasVal, 2, ",") * 1E+6
 10.024  MEMCX        5.00000uT      0.00325U

 11.001  LABEL        5_µs_maximum
 11.002  TARGET
 11.003  9500         1.00000uT                    1Vpp           M1    S  L
 11.004  WAIT         -t 5 UUT settling...
 11.005  IEEE         [SPL 1]

 11.006  IF           MEM < 0
 11.007  RSLT         = Scope did not trigger
 11.008  OPBR         -z Scope did not trigger.  Do you wish to continue?
 11.009  JMPL         END                          NOT(MEM1)
 11.010  ENDIF

 11.011  IEEE         MEASURE:STATISTICS ON
 11.012  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 11.013  JMPL         ERROR                     @StatusBit <= 0

 11.014  IEEE         MEASURE:RESULTS?[I$]
 11.015  TSET         TDESC = 5 µs Delta-t maximum
 11.016  MATH         MEM = FLD(MeasVal, 3, ",") * 1E+6
 11.017  MEMCX        5.00000uT      0.00325U

 12.001  IEEE         MEASURE:STATISTICS OFF

 12.002  RSLT         =
 12.003  HEAD         { Real Time Mode, Period}
 12.004  LABEL        TIMEBASE_39_5ns
 12.005  TARGET

 12.006  IF           FINDI(@ModelNum, "54520", 0)
 12.007  TOL          0.402U
 12.008  ELSE
 12.009  TOL          0.202U
 12.010  ENDIF

# Put the scope in Real Time Triggering
 12.011  IEEE         TIMEBASE:RANGE 500E-9
 12.012  IEEE         TIMEBASE:SAMPLE REALTIME
 12.013  IEEE         TIMEBASE:DELAY 0.0
 12.014  IEEE         TIMEBASE:RLENGTH 8192
 12.015  IEEE         CHANNEL[V @Chan]:RANGE 1.6
 12.016  IEEE         MEASURE:SCRATCH
# Change position to 500mV Offset
 12.017  IEEE         CHANNEL[V @Chan]:OFFSET 0
 12.018  IEEE         TIMEBASE:MODE TRIGGERED
 12.019  IEEE         TRIGGER:LEVEL 0
 12.020  IEEE         MEASURE:DEFINE DELAY,POSITIVE,1,MIDD,POSITIVE,11,MIDD
 12.021  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 12.022  JMPL         ERROR                      @StatusBit <= 0

 12.023  LABEL        39.5_ns_minimum
 12.024  9500         39.499999nT                  1Vpp           M2    S  L
 12.025  WAIT         -t 5 UUT settling...
 12.026  IEEE         [SPL 1]

 12.027  IF           MEM < 0
 12.028  RSLT         = Scope did not trigger
 12.029  OPBR         -z Scope did not trigger.  Do you wish to continue?
 12.030  JMPL         END                          NOT(MEM1)
 12.031  ENDIF

 12.032  IEEE         MEASURE:STATISTICS ON
 12.033  IEEE         MEASURE:PERIOD
 12.034  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 12.035  JMPL         ERROR                      @StatusBit <= 0

 12.036  IEEE         MEASURE:RESULTS?[I$]
 12.037  TSET         TDESC = 39.499999 ns minimum
 12.038  MATH         MeasVal = SUB(MEM2, 6, LEN(MEM2) - 6)
 12.039  MATH         MEM = FLD(MeasVal, 2, ",") * 1E+9
 12.040  MEMCX        39.499999nT    TOL

 13.001  LABEL        39.5_ns_maximum
 13.002  TARGET
 13.003  9500         39.499999nT                  1Vpp           M2    S  L
 13.004  WAIT         -t 5 UUT settling...
 13.005  IEEE         [SPL 1]

 13.006  IF           MEM < 0
 13.007  RSLT         = Scope did not trigger
 13.008  OPBR         -z Scope did not trigger.  Do you wish to continue?
 13.009  JMPL         END                          NOT(MEM1)
 13.010  ENDIF

 13.011  IEEE         MEASURE:STATISTICS ON
 13.012  IEEE         MEASURE:PERIOD
 13.013  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 13.014  JMPL         ERROR                      @StatusBit <= 0

 13.015  TSET         TDESC = 39.499999 ns maximum
 13.016  IEEE         MEASURE:RESULTS?[I$]
 13.017  MATH         MEM = FLD(MeasVal, 3, ",") * 1E+9
 13.018  MEMCX        39.499999nT    TOL

 14.001  IEEE         MEASURE:STATISTICS OFF

 14.002  RSLT         =
 14.003  HEAD         { Real Time Mode, Delta Time (edge#11)}
 14.004  LABEL        TIMEBASE_395ns
 14.005  TARGET

 14.006  IF           FINDI(@ModelNum, "54520", 0)
 14.007  TOL          0.420U
 14.008  ELSE
 14.009  TOL          0.220U
 14.010  ENDIF

 14.011  IEEE         MEASURE:SCRATCH
 14.012  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 14.013  JMPL         ERROR                      @StatusBit <= 0

 14.014  LABEL        39.5_ns_delta_time_minimum
 14.015  9500         39.499999nT                  1Vpp           M2    S  L
 14.016  WAIT         -t 5 UUT settling...
 14.017  IEEE         [SPL 1]

 14.018  IF           MEM < 0
 14.019  RSLT         = Scope did not trigger
 14.020  OPBR         -z Scope did not trigger.  Do you wish to continue?
 14.021  JMPL         END                          NOT(MEM1)
 14.022  ENDIF

 14.023  IEEE         MEASURE:STATISTICS ON
 14.024  IEEE         MEASURE:DELAY
 14.025  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 14.026  JMPL         ERROR                      @StatusBit <= 0

 14.027  IEEE         MEASURE:RESULTS?[I$]
 14.028  TSET         TDESC = edge#11 minimum
 14.029  MATH         MeasVal = SUB(MEM2, 6, LEN(MEM2) - 6)
 14.030  MATH         MEM = FLD(MeasVal, 2, ",") * 1E+9
 14.031  MEMCX        394.99999nT    TOL

 15.001  LABEL        39.5_ns_delta_time_maximum
 15.002  TARGET
 15.003  9500         39.499999nT                  1Vpp           M2    S  L
 15.004  WAIT         -t 5 UUT settling...
 15.005  IEEE         [SPL 1]

 15.006  IF           MEM < 0
 15.007  RSLT         = Scope did not trigger
 15.008  OPBR         -z Scope did not trigger.  Do you wish to continue?
 15.009  JMPL         END                          NOT(MEM1)
 15.010  ENDIF

 15.011  IEEE         MEASURE:STATISTICS ON
 15.012  IEEE         MEASURE:DELAY
 15.013  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 15.014  JMPL         ERROR                      @StatusBit <= 0

 15.015  IEEE         MEASURE:RESULTS?[I$]
 15.016  TSET         TDESC = edge#11 maximum
 15.017  MATH         MeasVal = SUB(MEM2, 6, LEN(MEM2) - 6)
 15.018  MATH         MEM = FLD(MeasVal, 3, ",") * 1E+9
 15.019  MEMCX        394.99999nT    TOL

 16.001  IEEE         MEASURE:STATISTICS OFF

# *** Go to Edge 101
 16.002  RSLT         =
 16.003  HEAD         { Real Time Mode, Delta Time (edge#101)}
 16.004  TARGET
 16.005  TSET         TDESC = edge#101 Delta-t
 16.006  IEEE         MEASURE:SCRATCH
 16.007  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 16.008  JMPL         ERROR                      @StatusBit <= 0

 16.009  9500         39.499999nT                  1Vpp           M2    S  L
 16.010  WAIT         -t 5 UUT settling...
 16.011  IEEE         [SPL 1]

 16.012  IF           MEM < 0
 16.013  RSLT         = Scope did not trigger
 16.014  OPBR         -z Scope did not trigger.  Do you wish to continue?
 16.015  JMPL         END                          NOT(MEM1)
 16.016  ENDIF

 16.017  IEEE         MEASURE:STATISTICS OFF
 16.018  IEEE         [D350]STOP
 16.019  IEEE         TIMEBASE:RANGE 10E-6
 16.020  IEEE         MEASURE:DEFINE DELAY,POSITIVE,1,MIDD,POSITIVE,101,MIDD
 16.021  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 16.022  JMPL         ERROR                      @StatusBit <= 0

 16.023  IEEE         MEASURE:DELAY?[D500][I]
 16.024  IEEE         MEASURE:DELAY?[D500][I]
 16.025  MATH         MEM = MEM * 1E+6
 16.026  MEMCX        3.9499999uT    0.004198U

 17.001  RSLT         =
 17.002  HEAD         { Real Time Mode, Delta Time (edge#201)}
 17.003  TARGET
 17.004  TSET         TDESC = edge#201 Delta-t
 17.005  IEEE         MEASURE:SCRATCH
 17.006  IEEE         MEASURE:DEFINE DELAY,POSITIVE,1,MIDD,POSITIVE,201,MIDD
 17.007  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 17.008  JMPL         ERROR                      @StatusBit <= 0

 17.009  IEEE         MEASURE:DELAY?[D500][I]
 17.010  IEEE         MEASURE:DELAY?[D500][I]
 17.011  MATH         MEM = MEM * 1E+6
 17.012  MEMCX        7.8999998us    0.004395U

 18.001  IEEE         CHANNEL[V @Chan]:DISPLAY OFF
 18.002  JMPL         END

 18.003  EVAL   Increment step number

# =================== EXTERNAL TRIGGER ======================================

 19.001  LABEL        EXT_TRIGGER
 19.002  RSLT         =
 19.003  HEAD         {EXTERNAL TRIGGER}
 19.004  HEAD         -2 45 mVpp @ 100 MHz

 19.005  TARGET       -p
 19.006  IEEE         SYST:DSP "External Trigger Test"
 19.007  IEEE         DISPLAY:GRATICULE GRID
 19.008  IEEE         DISPLAY:CONNECT OFF

 19.009  TARGET       -m
# Apply nominal trigger voltage to UUT.
 19.010  9500         0.045Vpp                     100MH          LS    S  L
 19.011  IEEE         TIMEBASE:RANGE 20E-9
 19.012  IEEE         TIMEBASE:SAMPLE REPETITIVE
 19.013  IEEE         CHANNEL1:RANGE 0.08
 19.014  IEEE         CHANNEL1:COUPLING DCFIFTY
 19.015  IEEE         AUTOSCALE
 19.016  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 19.017  JMPL         ERROR                      @StatusBit <= 0

 19.018  IEEE         TRIGGER:SOURCE CHANNEL1
# Set up measurement mode.
 19.019  IEEE         MEASURE:SOURCE CHANNEL1
# EXT TRIG input coupling set to 1 MOhm since 50 Ohm, Ch 1 is in parallel.
 19.020  IEEE         EXTERNAL:COUPLING DC
 19.021  IEEE         TRIGGER:LEVEL 0.000
 19.022  IEEE         ACQUIRE:TYPE AVERAGE
 19.023  IEEE         ACQUIRE:COUNT 16
# Reset volts and time/div following Autoscale execution.
 19.024  IEEE         CHANNEL1:RANGE 0.08
 19.025  IEEE         TIMEBASE:RANGE 20E-9
 19.026  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 19.027  JMPL         ERROR                      @StatusBit <= 0

# Set up measurement mode
 19.028  IEEE         MEASURE:SOURCE CHANNEL[V @Chan]
 19.029  IEEE         MEASURE:MODE STANDARD
 19.030  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 19.031  JMPL         ERROR                      @StatusBit <= 0
# Measure actual trigger voltage applied using UUT cursors.
 19.032  IEEE         ERAS PMEM0[D1000]
 19.033  IEEE         MEASURE:VPP?[I]
 19.034  IEEE         TRIGGER:SOURCE EXTERNAL
 19.035  CALL         Sub HP 545xx Trigger Utility IEEE
 19.036  EVAL   -e MEM > 0 : 45 mVpp @ 100 MHz

 20.001  HEAD         -2 90 mVpp @ 500 MHz
 20.002  TARGET       -m
# Set trigger source back to channel to facilitate amplitude measurement.
 20.003  IEEE         TRIGGER:SOURCE CHANNEL1
 20.004  IEEE         CHANNEL1:RANGE 0.16
 20.005  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 20.006  JMPL         ERROR                      @StatusBit <= 0

 20.007  9500         0.09Vpp                      500MH          LS    S  L
 20.008  IEEE         ERAS PMEM0[D1000]
 20.009  IEEE         MEASURE:VPP?[I]
 20.010  IEEE         TRIGGER:SOURCE EXTERNAL
 20.011  CALL         Sub HP 545xx Trigger Utility IEEE
 20.012  EVAL   -e MEM > 0 : 90 mVpp @ 500 MHz

 21.001  IEEE         CHANNEL[V @Chan]:DISPLAY OFF
 21.002  JMPL         END

 21.003  EVAL   Increment step number

# =================== AUXILIARY TRIGGER (1 Active Head) =====================

 22.001  LABEL        AUX_TRIGGER
 22.002  RSLT         =
 22.003  HEAD         {AUXILIARY TRIGGER TEST}
 22.004  TARGET
 22.005  IEEE         SYST:DSP "Auxiliary Trigger Test"
 22.006  IEEE         DISPLAY:GRATICULE GRID
 22.007  IEEE         DISPLAY:CONNECT OFF
 22.008  IEEE         TRIGGER:SOURCE CHANNEL1
 22.009  IEEE         TIMEBASE:RANGE 100E-9
 22.010  IEEE         CHANNEL1:RANGE 0.4;OFFS 0
 22.011  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 22.012  JMPL         ERROR                      @StatusBit <= 0
 22.013  IEEE         MEASURE:SOURCE CHANNEL1
# Apply nominal voltage to UUT. (Program half since UUT input Z is 1 MOhm.)
 22.014  9500         0.125Vpp                     50MH           LS    S  L
 22.015  IEEE         ERAS PMEM0[D1000]
 22.016  IEEE         MEAS:VPP?[I]
# Compute value needed from 9500 to output nominal voltage to UUT.
 22.017  MATH         MEM = (2 * 0.125) - (MEM / 2)
# Adjust 9500A output for nominal voltage applied using computed value.
 22.018  9500         Vpp                          50MH           LS    S  L
# Show connection picture for single Active Head use.
 22.019  PIC          hp5452_aux_trig_9500
 22.020  9500         Vpp                          50MH           LS    S  L
 22.021  IEEE         TRIGGER:SOURCE AUXILIARY
 22.022  IEEE         TRIGGER:LEVEL 0
# Have operator verify pass/fail status of UUT.
 22.023  OPBR         -z Is the UUT triggered? (Only "RUNNING" should appear
 22.023  OPBR         in the status in the upper left corner of the display.)
 22.023  OPBR
 22.023  OPBR         (A status display of "RUNNING-AUTO TRIGGERING"
 22.023  OPBR         or "RUNNING-AWAITING TRIGGER" indicates that
 22.023  OPBR         the UUT is NOT TRIGGERED.)
 22.024  EVAL   -e MEM1 : 250 mVpp @ 50 MHz

 23.001  JMPL         END

 23.002  LABEL        ERROR
 23.003  HEAD         ERROR
 23.004  DISP         [V @ErrMsg]

 23.005  LABEL        END
 23.006  HEAD
 23.007  HEAD         -2
 23.008  9500         *                                                 S
 23.009  IEEE         *RST
 23.010  CALL         Sub HP 545xx Wait for Operation Complete (OPC) IEEE
 23.011  JMPL         ERROR                      @StatusBit <= 0
 23.012  END



